Status: Closed   

Priority: Normal   

Category:    

Customer: BOSCH Product Issue

Numbers:

 

Department:  Affected Products: ADTF 3.13.1

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

Bezüglich der Prioritätn habe ich nur folgenden Dokumentation gefunden, die nicht wirklich beschreib welchen Einfluss die Prioritäten

auf ADTF haben

https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#priority_editor

Hat sich an dem Verhalten beazüglich ADTF 2 etwas geändert?

Ich gehe davon aus, dass

Filter mit Priorität 0 zuerst initialisiert werden (Konstruktor)

In ADTF 2 hatten die Priorität für die Filter Verbindungen immer 50 eingetragen. In ADTF 3 sehe ich, dass Verbindungen und

Komponenten extra Listen sind. Kann ich es so verstehen, dass die Komponenten immer zu erst initialisiert werden und danch

die Verbindungen ?

Läsung

Ja das ganze verhält sich eigentlich genau gleich wie in ADTF2:

Zuerst werden alle Filter Instanzen in der Reihenfolge erzeugt in der sie in der Config stehen. Also bei den Konstruktoren

schlägt die Init Priority NICHT zu!

Dann werden alle Filter Init(StageFirst) nach Init Priority aufsteigend gerufen.

Dann werden alle Filter Init(StageNormal) nach Init Priority aufsteigend gerufen.

Dann werden alle Verbindungen nach Connection Priority aufsteigend erzeugt.

Dann werden alle Filter Init(StageGraphReady) nach Init Priority aufsteigend gerufen.

Dann werden alle Filter Start() nach Init Priority aufsteigend gerufen.

Beim Deinitialisieren genau anders herum.

Das ganze ist sehr detailiert in https://support.digitalwerk.net/adtf/v3/adtf_html/page_session_initialization.html beschrieben.

Diesen Link haben wir zur 3.14 nun beim Priority Editor im Guide verlinkt.

History

#1 - 2021-11-17 13:58 - hidden

- Status changed from New to In Progress

- Customer set to BOSCH

- Topic set to ADTF::CE

#5 - 2021-11-22 07:41 - hidden

Hi Thomas,

ja das ganze verhält sich eigentlich genau gleich wie in ADTF2:

Zuerst werden alle Filter Instanzen in der Reihenfolge erzeugt in der sie in der Config stehen. Also bei den Konstruktoren schlägt die Init Priority

NICHT zu!
https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#priority_editor
https://support.digitalwerk.net/adtf/v3/adtf_html/page_session_initialization.html


Dann werden alle Filter Init(StageFirst) nach Init Priority aufsteigend gerufen.

Dann werden alle Filter Init(StageNormal) nach Init Priority aufsteigend gerufen.

Dann werden alle Verbindungen nach Connection Priority aufsteigend erzeugt.

Dann werden alle Filter Init(StageGraphReady) nach Init Priority aufsteigend gerufen.

Dann werden alle Filter Start() nach Init Priority aufsteigend gerufen.

Beim Deinitialisieren genau anders herum.

Das ganze ist sehr detailiert in https://support.digitalwerk.net/adtf/v3/adtf_html/page_session_initialization.html beschrieben.

Grüße,

Martin

#6 - 2021-11-22 12:35 - hidden

- Status changed from In Progress to Customer Feedback Required

#7 - 2021-11-23 08:59 - hidden

Hallo Thomas,

reichen dir die Informationen aus? Dann würden wir das Ticket schließen.

Grüße

Margarete

#8 - 2021-11-26 10:57 - hidden

- Project changed from 5 to Public Support

- Subject changed from Description / Manual of Priorities / Priority Editor to Detailed information about Priority Editor in combination with session

initialization

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

Das ganze ist sehr detailiert in https://support.digitalwerk.net/adtf/v3/adtf_html/page_session_initialization.html beschrieben.

 Diesen Link haben wir zur 3.14 nun beim Priority Editor im Guide verlinkt.

#9 - 2021-11-26 10:58 - hidden

- Status changed from To Be Closed to Closed
